using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CashMachine
{

    public partial class CashMachine : Form
    {

        Sound explosion = null;

        public void Explode()
        {
            if (explosion == null)
            {
                explosion = new Sound("CashMachine.BangHit.wav");
            }

            explosion.Play();

            Color background = this.BackColor;

            for (int i = 0; i < 3; i++)
            {
                this.BackColor = Color.Red;
                this.Update();
                System.Threading.Thread.Sleep(50);
                this.BackColor = Color.Orange;
                this.Update();
                System.Threading.Thread.Sleep(50);
                this.BackColor = Color.Purple;
                this.Update();
                System.Threading.Thread.Sleep(50);
                this.BackColor = Color.Yellow;
                this.Update();
                System.Threading.Thread.Sleep(50);
            }
            this.BackColor = background;

        }

        Sound cashTill = null;

        public void PayOut()
        {
            if (cashTill == null)
            {
                cashTill = new Sound("CashMachine.Cash.wav");
            }

            cashTill.Play();
        }

        Sound slap = null;

        public void Warning()
        {
            if (slap == null)
            {
                slap = new Sound("CashMachine.slap.wav");
            }

            slap.Play();
        }

        
        public CashMachine()
        {
            InitializeComponent();
        }

        private int balance = 100;

        private void withdrawButton_Click(object sender, EventArgs e)
        {
            if (this.PINTextBox.Text != "1234" || this.accountNameTextBox.Text != "Rob")
            {
                MessageBox.Show("Invalid Account");
                return;
            }
            try
            {
                MakePayment(this.amountRequiredTextBox.Text, ref balance);
            }
            catch
            {
                Explode();
            }
        }
    }

}